:root {
    --gold: #DA9323;
}

* {
    box-sizing: border-box;
    
}
.page-container{
    font-family: Arial, Helvetica, sans-serif;
    position: absolute;
    z-index: -22;
    width: 100%;
}


.site-menu {
    background-color: white;
}
.menu-container {
    display: flex;
    justify-content: space-between;
    margin: 0px 10px;
    padding: 0px 20px;
    height: 90px;
}
.left-side-container {
    display: flex;
    align-items: center;
}
.logo, .navbar-brand{
    font-weight: 700;
    font-size: 60px;
    color: var(--gold);
}
.right-side-container {
    display: flex;
    align-items: center;
}
.right-nav{
    display: flex;
}

.right-nav li{ 
    display: flex;
    flex-direction: row;
    list-style-type: none;
    
    align-items: center;
  
}

  .right-nav a{ 
    text-decoration: none;
    color: black;
    padding: 0px 1rem;
    height: 100%;
    display: flex;
    align-items: center;
    font-size: .95rem;
  }
  .nav-link{
      color: #080808 !important;
  }
  .nav-link:hover{
    color:var(--gold) !important;
  }
  .navbar-brand {
      font-size: 3rem !important;
      line-height: 3rem !important;
      color:var(--gold) !important;
      font-weight: 700;
  }
  .navbar-brand:hover {
    color: #080808 !important;
}
  .nav-item {
      display: flex;
      align-items: center;
  }
  .right-nav a:hover{ 
    color: var(--gold);
  }

  .nav-btn {
      border: 0px;
      border-radius: 50px;
      padding: 10px 35px;
      background-color: #DA9323;
      color: white;
      font-size: 15px;
      box-shadow: 0px 0px 10px 4px rgba(0,0,0,0.2);
      transition: ease-in-out .2s;
      cursor: pointer;
  }
  .nav-btn:hover {
    box-shadow: 0px 0px 10px 8px rgba(0,0,0,0.2);
    transform: scale(1.15) rotate(4deg);
    background-color: black;
}

  /* Hero Section */
  .hero{
position: relative;
z-index: -1;
    
  }
  .hero-center-container{
      max-width: 50%;
      margin: 0 auto;
      display: flex;
      flex-direction: column;
      align-content: center;
      text-align: center;
      line-height: 1.5rem;
      color: white;
  }
 
  .video-bg {

    background-image: url("https://chowhound1.cbsistatic.com/thumbnail/1280/800/chowhound1.cbsistatic.com/assets/2014/09/30741_easy_bbq_baby_back_ribs_3000x2000.jpg");
    background-repeat: no-repeat; 
    background-position: center;    
    webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
   
    padding: 6rem 0rem;
    position: relative;
    /* height: 500px; */
    z-index: -1;
  }
  .video-overlay{
      background-color: rgb(0, 0, 0, .5);
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      
  }
  .hero-center-container{
      position: relative;
      display: flex;
      justify-content: center;
      align-items: center;
      z-index: 99;
  }
  .hero-center-container .divider-image {
      border-bottom: 2px solid var(--gold);
      margin: 1rem 0rem;
      width: 25%;
  }
  .hero-center-container h2 {
      font-size: 2rem;
      margin: 1.5rem 0rem;
      font-weight: 700;
      color: var(--gold);
      line-height: 2rem;
  }

  .hero-center-container h1 {
      font-size: 5rem;
      margin: 1.5rem 0rem;
      font-weight: 700;
      line-height: 5rem;
    
  }

  .hero-center-container p{
    margin: 1.5rem 0rem;
    font-size: 1.25rem;
  }

  .hero-center-container .hero-buttons {
      margin: 1.5rem 0rem;
      
  }

  .hero-center-container .hero-buttons button{
    
    border-radius: 50px;
    padding: 15px 0px;
    margin: .5rem;
    font-size: 14px;
    letter-spacing: .2em;
    font-weight: 700;
    text-transform: uppercase;
    width: 200px;
    min-height: 45px;
    border: 2px solid white;
    z-index: 99;
    cursor: pointer;
}
/* .hero-center-container .hero-buttons:hover{
    background-color: var(--gold);
} */
.hero-btn1 {
    background-color: #DDDDDD;
}
.hero-btn2 {
    background-color: transparent;
    color: white;
    
}
.hero-btn1:hover{
    background-color: var(--gold);
    border: 2px solid  var(--gold) !important;
    transition: .2s ease-in-out;
    color: white;
}
.hero-btn2:hover{
    background-color: var(--gold);
    border: 2px solid  var(--gold) !important;
    transition: .2s ease-in-out;
}
/* Story Image  */
.story{
    padding: 5rem 0rem;
}
.story-container{
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
}
.story-img{
    width: 300px;
    height: 600px;
}
.content-box{
    width: 325px;
    line-height: 1.75rem;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    margin: 1rem;
}
.content-box h2 {
    font-size: 3rem;
    font-weight: 700;
    color: var(--gold);
    margin: 1.5rem 0;
    line-height: 2.5rem;
    
}
.content-box h3{
    font-size: 1rem;
    margin: 1rem 0;
    font-weight: 300;
    letter-spacing: .1em;
    text-transform: uppercase;
    
}
.content-box .quote{
    font-weight: 700;
    margin: 1rem 0;
}

.content-box .box-content{
  margin-bottom: 2rem;
}

.content-box .divider-image {
    border-bottom: 2px solid var(--gold);
    margin: 1rem 0rem;
    width: 50%;
}

.content-btn {

    padding: 15px 20px;
    border-radius: 50px;
    border: 2px solid var(--gold);
    color: var(--gold);
    background-color: white;
    width: 200px;
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: .1em;
    font-weight: 700;
    cursor: pointer;
}

.content-btn:hover{
    background-color: var(--gold);
    color: white;
    transition: .2s ease-in-out;
}
.grill{
    height: 50px;
    width: 50px;
}
.grill img{
    width: 100%;
}
.story-img{
    width: 325px;
    margin: 1rem;
    
}
.story-img img {
   
    width: 325px;
    height: 100%;
}

/* Featured Section */

.featured-container{
    width: 80%;
    margin: 0 auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: center;
    padding: 4rem 0;
}
.featured-pics-container {
    display: flex;
    flex-flow: row wrap;
    
}

.featured-text{
    font-weight: 700;
    font-size: 2rem;
    line-height: 2rem;
  
    text-align: center;
    height: 100%;
    margin-bottom: 1rem;
}
.featured-box {
    width: 175px;
}
.featured-box img {
    width: 100%;
}
/* Delicacies Section */
.deli_backgroung_img {

    background-image: url("https://images.pitboss-grills.com/catalog/recipes/1200px/Reverse-Seared-NY-Steak.jpg");
    background-repeat: no-repeat; 
    background-position: center;   
    webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    padding: 4rem 0rem;
   
    position: relative;
    /* height: 500px; */
    z-index: -1;
  }
  .img-overlay{
      background-color: rgb(0, 0, 0, .5);
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
  }
  .delicacies-container {
    max-width: 50%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-content: center;
    text-align: center;
    line-height: 1.5rem;
    color: white;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 99;
}
 
  .delicacies-container h2 {
    font-size: 2.5rem;
    line-height: 2.5rem;
    margin: 1rem 0rem;
    font-weight: 700;
    color: var(--gold);
}

.delicacies-container h3{
    font-size: 1rem;
    margin: 1rem 0rem;
    line-height: 1.5rem;
    letter-spacing: .1em;
    text-transform: uppercase;
    font-weight: 500;
  
}
.delicacies-container .divider-image {
    border-bottom: 2px solid var(--gold);;
    margin: 1rem 0rem;
    width: 25%;
}
.delicacies-container p{
  margin: 1.5rem 0rem;
  font-size: 1rem;
  font-style: italic;
}

/* Favorites Menu Section */
.favorites-menu {
    padding: 6rem 0;
}
.menu-items-container {
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
}

.menu-item {
    width: 45%;
    display: flex;
    justify-content: space-between;
    box-shadow: 0px 0px 5px 1px rgba(98, 98, 98, 0.2);
    margin: 1rem;
    min-width: 375px;
    max-height: 200px;
}
.menu-item-content {
    padding:.5rem;
    width: 50%;
    overflow: hidden;
     
}
.item-title {
    font-size: 2rem;
    line-height: 2rem;
    font-weight: 700;
    margin-bottom: 1.5rem;
}

.item-price {
    font-size: 2rem;
    line-height: 2rem;
    color: var(--gold);
    margin-bottom: 1.5rem;
    font-weight: 700;
}

.item-content {
    font-size: 1rem;
    line-height: 1.5;
}

.item-img {
    height: 100%;
    width: 200px;
}
.item-img img{
  height: 100%;
  width: 100%;
  object-fit: cover;
}

/* Happy Hour Section */
.happy_hour{
    position: relative;
    z-index: -1;
}
.happy_hour_background_img {
    background-image: url("https://images.pexels.com/photos/274192/pexels-photo-274192.jpeg?auto=compress&cs=tinysrgb&dpr=3&h=750&w=1260");
    background-repeat: no-repeat; 
    background-position: center;   
    webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
  
    padding: 3rem 0rem;
    position: relative;
    /* height: 500px; */
    z-index: -1;
  }
.happy_hour_container {
    max-width: 50%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-content: center;
    text-align: center;
    line-height: 1.5rem;
    color: white;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 99;
}
.grill-top-container{
    display: flex;
    margin-bottom: 2rem;
}
 .grill-container {
     width: 80px;
     height: 80px;
 }
 .grill-container img {
   width: 100%;
}
.happy_hour_container h1 {
    font-size: 2.8rem;
    line-height: 2.5rem;
    margin: 1rem 0rem;
    font-weight: 700;
    color: var(--gold);
}
  .happy_hour_container h2 {
    font-size: 1.3rem;
    line-height: 1.5rem;
    margin: 1rem 0rem;
    font-weight: 700;
    color: white;
}

.happy_hour_container h3{
    font-size: 1rem;
    margin: .5rem 0rem 2rem 0rem;
    line-height: 1.5rem;
    font-weight: 700;
  
}
.happy_hour_container .divider-image {
    border-bottom: 2px solid var(--gold);;
    margin: 1rem 0rem;
    width: 25%;
}
.happy_hour_container p{
  margin: 1.5rem 0rem;
  font-size: 1rem;
  font-style: italic;
}
.happy_hour_container .content-btn{
        background-color: transparent;
        border-color: white;
        color: white;
}
.happy_hour_container .content-btn:hover{
    background-color: white;
    border-color: white;
    color: rgb(153, 153, 153);
}

/* Food Love Section */
.food-love-container {
    width: 80%;
    margin: 0 auto;
    padding: 5rem 0rem 0rem 0rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.food-love-top{
    text-align: center;
}
.food-love-top h2{
   font-size: 2rem;
   line-height: 2rem;
   font-weight: 700;
   margin-bottom: 1.5rem;
}
.love {
    color: #FF003F;
}
.food-love-top .divider-image {
    margin-bottom: 1.5rem;
}
.food-love-top p{
    line-height: 1.5rem;
    margin-bottom: 1.5rem;
 }
 .reviews-container {
     padding: 4rem 0;
     display: flex;
     justify-content: space-between;
     width: 100%;
     flex-flow: row wrap;
     justify-content: center;
 }
 .review-card{
     width: 20%;
     min-width: 200px;
     text-align: center;
     line-height: 1.5rem;
 }
 /* .customer-img{
    width: 100px;
    height: 100px; 
     margin-bottom: 2rem;
 } */
 .customer-img img{
     border-radius: 50%;
    width: 100px;
    height: 100px;  
    object-fit: cover; 
    margin-bottom: 1.5rem;
}
.review-card h2 {
    font-weight: 700;
    font-size: 1.2rem;
    margin-bottom: 1rem;
}
.review-card h3 {
    font-weight: 700;
    font-size: .9rem;
    margin-bottom: 2rem;
}
/* Mobile Menu */
#toggle {
    display: none;
}
.toggle {
    cursor: pointer;
    font-size: 25px;
    display: none;
}
.mobile-menu {
    text-align: right;
    line-height: 90px;
}
.right-side-container {
    margin-right: 10px;
}

/* Media Queries */

@media screen and (max-width: 840px){

    .toggle {
        display: block;
    }
    .right-side-container{
        background-color: white;
        
    
    }
    .right-nav{
        display: none;
        /* position: absolute; 
        top: 0;    
        right:-40px;
        width: 100vw; */
        background-color: white;
    }
    
    .right-nav li a { 
       display: flex;
       justify-content: center;
       align-items: center;
       flex-direction: column;
       width: 100%;
       border-top: 1px black solid;
    }
    .nav-btn {
        display: none;
    }
   
    #toggle:checked ~ .right-nav{
        display: block !important;
    }
}

@media screen and (max-width: 500px){
    .navbar-toggler-icon {
        color: black !important;
    }
    .hero-center-container h2 {
        font-size: 1rem;
        margin: 1rem 0rem;
        font-weight: 700;
        color: var(--gold);
        line-height: 1.5rem;
    }
  
    .hero-center-container h1 {
        font-size: 2.75rem;
        margin: 1rem 0rem;
        font-weight: 700;
        line-height: 2.75rem;
      
    }
  
    .hero-center-container p{
      margin: 1rem 0rem;
      font-size: 1rem;
      display: none;
    }

    /*  */
    .featured-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .featured-pics-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .featured-text{
        margin: 0 auto 1rem auto;
    }
    .item-price {
        margin-bottom: 1rem;
    }
    .menu-item {
        display: flex;
        flex-direction: column-reverse;
        width: 100%;
        min-width: 300px;
        max-height: 100%;
    }
    .menu-item-content {
        width: 100%;
        margin-bottom: 1rem;
        overflow: visible;
    }
    .item-img{
        width: 100%;
        margin-bottom: 1rem;
    }
    .video-bg{
        padding: 1rem 0rem;
    }
    .happy_hour_container h1 {
        font-size: 2rem;
        line-height: 2rem;
        margin: 1rem 0rem;
        font-weight: 700;
        color: var(--gold);
    }
      .happy_hour_container h2 {
        font-size: 1.3rem;
        line-height: 1.5rem;
        margin: 1rem 0rem;
        font-weight: 700;
        color: white;
    }
    
    .happy_hour_container h3{
        font-size: 1rem;
        margin: .5rem 0rem 2rem 0rem;
        line-height: 1.5rem;
        font-weight: 700;
      
    }
    .happy_hour_container .divider-image {
        border-bottom: 2px solid var(--gold);;
        margin: 1rem 0rem;
        width: 25%;
    }
    .happy_hour_container p{
      margin: 1.5rem 0rem;
      font-size: 1rem;
      font-style: italic;
    }
}